#ifndef _CONFIG_H
#define _CONFIG_H

#include "fetch.h"

typedef struct {
	char *title;
	int (*func)(const char *title, const FETCH fetch);
} PARAMETR;

/* Config, EDIT THERE */
#define FONT_COLOR "\033[1;37m"
#define PC_CHAR "▂"

#ifdef _MAIN_H
PARAMETR CONFIG[] = {
	{" --- ", GetUser},
	{"\033[31m  ", PrintOs},
	{"\033[32m  ", GetKernel},
	{"\033[33m  ", GetUser},
	{"\033[34m  ", GetUptime},
	{"\033[35m  ", GetArch},
	{"\033[36m  ", GetShell},
	{"\033[37m  ", GetPkg},
	{"\033[38m  ", GetMem},
	{"   ", Blank},
	{" ", PrintColors}
};

#endif

#endif
